/** 
 * @Author M.Sekido
 * @Version $Rev: 56 $
 * @Date  $Date: 2013-07-03 20:40:14 +0900 (水, 03  7月 2013) $
 * $Id: test_inFile.cpp 56 2013-07-03 11:40:14Z vlbi $ 
 */
#include <iostream>
#include <string>
using namespace std;

#include "InFile_mdl.hpp"

char *me;
void usage(){
  cerr << "usage:" << me << " -f <infile> \n";
  exit(1);
}

int main(int argc, char *argv[]){
   me = (me = strrchr(argv[0], '/')) == NULL ? argv[0] : me+1; /* My name */ 
   string fname;
   int k=0;
   while( k >= 0 ){
     switch (k = getopt(argc, argv, "hf:")) { 
     case 'f':   fname  = optarg;   break;
     case 'h':   usage();     break;
     case ':':   cerr << " Missing argument \n"; usage(); break;
     case '?':    usage(); break;
     }
   }
   
   Logsystem::debug_logger()->enable_logging();
   Logsystem::info_logger()->enable_logging();

   if( fname.empty() ) usage();
   InFile_Model input_mdl;
   VLBI_Frame*  in_vlbi_frame = new K5VSSP32_Frame;
   input_mdl.Set_VlbiFrame(in_vlbi_frame);
   input_mdl.Set_infile(fname.c_str());  
   cerr << "Started\n";
   input_mdl.start(); // reading data Starxted 

   //   sleep(10);
   while(1){
     usleep(100);
   }
   input_mdl.cancel();
   cerr << " Thread cancel call...";
   input_mdl.join();
   cerr << " Thread joined.\n";

   Logsystem::debug_logger()->disable_logging();
   Logsystem::debug_logger()->close_stream();

   delete in_vlbi_frame;
}
